# Control the Bot via Telegram

## Config the telegramBotToken.json

What to do, step by step:

1. Talk to the Bot Father and create your own Telegram Bot: <https://www.siteguarding.com/en/how-to-get-telegram-bot-api-token>
2. Send a message to your newly created Telegram Bot
3. Forward that message to the "json dump bot" (you already know this from the Pump Bot)
4. Get your "chatId". BUT this does not start with a -100 at the start.

Enter the telegramBotToken from the BotFather and the chatId into the telegramBotToken.json. Done! Fire up the Bot and you are ready to control it via Telegram  🚀

```
{
 "telegramBotToken": "bot token here within quotation marks",
 "chatId": chatId here without quotation marks
 }
```

### Check the open orders, buy specific coins via Telegram Messenger

You can easily control the PumpBot Autotrade via Telegram. Create your own Telegram Bot - it is really easy - and start.&#x20;

Just send a message and the Bot will response. Or just type /help and the menu will come on.&#x20;

![](/files/AdS32xebGMNH4EJlosWK)

You have the following options:

* /showConfig: shows the config the bot runs with
* /openOrders: shows the current open orders and the current PnL (profit and loss)
* /sell: sell a specific coin (see next picture)
* /sellAll: sell all current open positions (you get two buttons with "yes"/"no")
* /stop: stops the bot from buying new coins, but checks the trailing stop loss, take profit and stop loss
* /resume: resumes the bot and the will buy coins again
* /kill: kills the bot so it doesnt check the current open positions. You can /resume the bot to work again.

![](/files/VMoPATgehfOYoE8PevAY)

If you select /sell telegram will show buttons with the coins available for selling. Just hit the button of the coin you want to sell.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pump-bot.com/pumpbot-autotrade/control-the-bot-via-telegram.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
